# -*- encoding : utf-8 -*-
class DonateTransactionsMails < ActionMailer::Base
  layout 'mail'
  
  default from: "One Voice <info@test.com>"

  def confirmation_pa(donate_transaction, options = {})
    @options = options
    @donate_transaction = donate_transaction
    @email = @donate_transaction.particular_bill.email
    @title = "Merci pour votre promesse de don."
    mail(:to => @email, :subject => @title)
  end
  
  def confirmation_cheque(donate_transaction, options = {})
    @options = options
    @donate_transaction = donate_transaction
    @email = @donate_transaction.particular_bill.email
    @title = "Merci pour votre promesse de don."
    mail(:to => @email, :subject => @title)
  end
  
  def confirmation_cb(donate_transaction, options = {})
    @options = options
    @donate_transaction = donate_transaction
    @email = @donate_transaction.particular_bill.email
    @title = "Merci pour votre don."
    mail(:to => @email, :subject => @title)
  end
  
  def confirmation_cb_rec(donate_transaction, options = {})
    @options = options
    @donate_transaction = donate_transaction
    @email = @donate_transaction.particular_bill.email
    @title = "Merci pour votre don mensuel."
    mail(:to => @email, :subject => @title)
  end


  
  
  
end
